windows系统xampp安装多个版本的PHP

PHP与SEO 思享 417浏览

XAMPP(Apache+MySQL+PHP+PERL)是一个功能强大的建站集成软件包。很多朋友都是用这个软件搭建web环境的,正如之前安装v8Js扩展,从网站上找不到对应版本PHP的扩展文件,只能改变PHP版本去适配包含扩展的PHP。那么,我们怎么安装多个版本的php呢?

下载对应版本xampp

下载地址:https://sourceforge.net/projects/xampp/files/XAMPP%20Windows/

找到想要的版本,portable就是绿色版,下载下来解压

复制文件

解压后的文件

将xampp目录下php目录修改文件名,比如\php-7.3.26\

然后复制到现在使用的xampp目录下

将\apache\conf\extra\httpd-xampp.conf,修改文件名,例如httpd-xampp-7.3.26.conf

然后复制到现在使用的\xampp\apache\conf\extra\目录下

修改文件

现在使用的xampp目录下\apache\conf\httpd.conf,修改代码:

# XAMPP specific settings
#Include "conf/extra/httpd-xampp.conf"
Include "conf/extra/httpd-xampp-7.3.26.conf"

上面第二行是原本的代码注释掉了,用了新的代码,以后版本切换,就可以通过注释掉第三行,使用第二行

然后修改复制过去的httpd-xampp-7.3.26.conf文件

将里面的原路径xampp/php修改为xampp/php-7.3.26

注意,其中原地址xampp/phpMyAdmin不要替换成xampp/php-7.3.26MyAdmin,要不然数据库会404的

其他进行查找替换即可

最后,修改php.ini,将其中的原目录修改为新的php目录,即xampp/php修改为xampp/php-7.3.26

改好后重启,就可以生效了

PHP7.3.26

推荐阅读

PHP提示:Warning: count():Parameter must be an array or an object that implements Countable

错误原因:PHP7.2以后,count()函数的参数无效时会抛出warning警告。...

PHP7.4 报错:Deprecated Functionality: implode(): Passing glue string after array is deprecated.

PHP7.4运行项目报错:Deprecated Functionality: implode(): Passing glue string after array is deprecated。只需交换 implode() 函数的两个参数!...

百度自动推送php实现代码

我们知道主动推送有助于搜索引擎抓取和收录网站内容,wordpress或者主流CMS其实已经集成了推送功能。但是如果我们要定期归还,而不是只在发布的时候推一次。这个功能可以通过结合PHP和Pagoda Panel的预定任务来实现。$api = '百度站......